Subject: [apps-discuss] Private Enterprise Number (PEN) IANA registry

From: Alexey Melnikov <[email-masked]>
Date: Sat, 14 May 2011 18:15:48 +0100

Hi,
IANA is writing a draft on formalizing how Private Enterprise Numbers 
(PENs) are registered. Is anybody interested in helping out (as 
co-editor) with the document? If yes, please contact me off-list.

Thanks,
Alexey